Receive provider integration webhook
Inbound events from supported providers (e.g. cal.com, calendly, slack). Authenticated with per-webhook HMAC via X-Talkturo-Secret.
curl -X POST "https://api.talkturo.com/api/flow/integrations/webhooks/example_string" \
-H "Content-Type: application/json" \
-H "X-Talkturo-Secret: example_string" \
-H "X-Talkturo-Secret: YOUR_API_KEY"
import requests
import json
url = "https://api.talkturo.com/api/flow/integrations/webhooks/example_string"
headers = {
"Content-Type": "application/json",
"X-Talkturo-Secret": "YOUR_API_KEY"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/flow/integrations/webhooks/example_string", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-Talkturo-Secret": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.talkturo.com/api/flow/integrations/webhooks/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Talkturo-Secret", "example_string")
req.Header.Set("X-Talkturo-Secret", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/flow/integrations/webhooks/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-Talkturo-Secret'] = 'example_string'
request['X-Talkturo-Secret'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
/flow/integrations/webhooks/{provider}Target server for requests. Edit to use your own host.
SHA-256 HMAC digest of the raw request body. Used for TurboFlow published flow triggers (key = version trigger_secret) and some integration webhooks.
Provider name (cal.com, calendly, slack, etc.)
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. SHA-256 HMAC digest of the raw request body. Used for TurboFlow published flow triggers (key = version trigger_secret) and some integration webhooks.
Path Parameters
Provider name (cal.com, calendly, slack, etc.)
Headers
Body
Raw application/json data
Responses
Webhook processed